Показано с 1 по 6 из 6

Тема: libmgr ERROR Error in src/ispapi/module.cpp:191

  1. #1
    Member
    Регистрация
    07.09.2014
    Сообщений
    40

    По умолчанию libmgr ERROR Error in src/ispapi/module.cpp:191

    Здравствуйте.
    Код:
    cat /etc/*release*
     
    DISTRIB_ID=Ubuntu
    DISTRIB_RELEASE=14.04
    DISTRIB_CODENAME=trusty
    DISTRIB_DESCRIPTION="Ubuntu 14.04.3 LTS"
    NAME="Ubuntu"
    VERSION="14.04.3 LTS, Trusty Tahr"
    ID=ubuntu
    ID_LIKE=debian
    PRETTY_NAME="Ubuntu 14.04.3 LTS"
    VERSION_ID="14.04"
    Код:
    uname -a
    Linux ubuntu.srv 3.19.0-49-generic #55~14.04.1-Ubuntu SMP Fri Jan 22 11:24:31 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
    Код:
    /usr/local/mgr5/sbin/ihttpd -V
    5.50.0
    Код:
    dpkg --get-selections | grep ispmanager
    
    
    ispmanager-lite                    install
    ispmanager-lite-common       install
    ispmanager-pkg-awstats       install
    ispmanager-pkg-bind            install
    ispmanager-pkg-dovecot       install
    ispmanager-pkg-exim           install
    ispmanager-pkg-httpd          install
    ispmanager-pkg-logrotate     install
    ispmanager-pkg-myadmin     install
    ispmanager-pkg-mysql          install
    ispmanager-pkg-nginx           install
    ispmanager-pkg-php             install
    ispmanager-pkg-phpfpm        install
    ispmanager-pkg-proftpd        install
    ispmanager-pkg-quota          install
    ispmanager-pkg-roundcube   install
    ispmanager-pkg-sieve           install
    ispmanager-plugins               install
    sudo tail -n 2000 /usr/local/mgr5/var/ispmgr.log | grep ERROR


    Feb 3 23:01:50 [4711:1] libmgr ERROR Error in src/ispapi/module.cpp:191 void* {anonymous}::ModulePrivate::CheckLibLinks(const string&). Library libgnutls linked to /usr/lib/x86_64-linux-gnu/libgnutls.so.28 conflicting with already loaded one
    Код:
    sudo dpkg -S libgnutls.so.28
    libgnutls28:amd64: /usr/lib/x86_64-linux-gnu/libgnutls.so.28
    Помимо этого
    Код:
    sudo du -h /usr/local/mgr5/var/logs
    1.5G
    sudo find /usr/local/mgr5/var/logs -maxdepth 1 -type f | wc -l
    295
    Приходится чистить. За пару дней слишком много логов для неработающей панельки писать непрерывно всё и похоже без ротации? Подскажите, пожалуйста, как настроить логи панели только на ERROR и где лежит конфигурация ротации логов панели?

    В итоге: Как исправить libmgr ERROR Error in src/ispapi/module.cpp:191 void* {anonymous}::ModulePrivate::CheckLibLinks(const string&). Library libgnutls linked to /usr/lib/x86_64-linux-gnu/libgnutls.so.28 conflicting with already loaded one ? Панель не запускается.





    Ошибка
    Не удалось запустить панель. Возможно, она перезапускается. Попробуйте позже или обратитесь к администратору

  2. #2
    Senior Member
    Регистрация
    09.04.2013
    Адрес
    Москва
    Сообщений
    2,093

    По умолчанию

    Аналогичный конфликт lib
    http://forum.ispsystem.ru/showthread.php?29984
    Но и там разрабы не дали ответа

  3. #3
    Senior Member Аватар для Dasha
    Регистрация
    03.11.2011
    Сообщений
    4,635

    По умолчанию

    Не плодите, пожалуйста, темы по одинаковым вопросам. Напишите нам в поддержку с доступами, если у вас есть доступные инциденты, надо смотреть на месте.

    Подскажите, пожалуйста, как настроить логи панели только на ERROR и где лежит конфигурация ротации логов панели?
    Дебаг можно настроить через панель, раздел Настройка логирования. Логи ротируются при достижении 100 МБ, это вшито в код.

  4. #4
    Member
    Регистрация
    07.09.2014
    Сообщений
    40

    По умолчанию

    Инцидентов нет и не будет. Просто libmgr ERROR Error in src/ispapi/module.cpp:191 нужно как-то доказать, что кто-то из пользователей панели умудрился так накликать или доказать /usr/lib/x86_64-linux-gnu/libgnutls.so.28 GNU TLS library security не подумали о совместимости с ispmanager 5, а что труднее этого, почему мы должны платить за это? Что делать в этом случае?
    Какие есть способы безболезненного удаления ispmanager 5 ? Думаю, переустановить с beta на stable.

  5. #5
    Senior Member Аватар для Dasha
    Регистрация
    03.11.2011
    Сообщений
    4,635

    По умолчанию

    Удалить-то ISPmanager можно через стандартный пакетный менеджер ОС, но при повторной установке база будет пустая, соответственно, ничего в панели отображаться не будет (ни пользователи, ни веб домены и тп). Даунгрейд с бета версии на стабильную не поддерживается.

  6. #6
    Member
    Регистрация
    07.09.2014
    Сообщений
    40

    По умолчанию

    Значит в систему проникает намертво и безвозвратно. Скажите, пожалуйста, могу я использовать docker, например с Centos 7 для установки и использовании панели с пробросом? Что критично зависит от основной ОС? А может, у вас уже есть готовый docker?

Метки этой темы

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •